#
#  Home-manager configuration for laptop
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ ./laptop
#   │       └─ home.nix *
#   └─ ./modules
#       └─ ./desktop
#           └─ ./hyprland
#              └─ hyprland.nix
#

{ pkgs, ... }:

{
  imports =
    [
      #../../modules/wm/hyprland/home.nix # Window Manager
      ../../modules/wm/sway/home.nix # Window Manager
      ../../modules/home.nix # Window Manager
    ];

  home = {                                # Specific packages for laptop
    packages = with pkgs; [
      # Applications
      #freecad                         # Office packages
      #firefox
      chromium
      thunderbird
      streamlink
      streamlink-twitch-gui-bin
      element-desktop
      nheko
      pulsemixer
      #yubioath-flutter
      nitrokey-app
      kicad

      # Display
      #light                              # xorg.xbacklight not supported. Other option is just use xrandr.

      # Power Management
      #auto-cpufreq                       # Power management
      #tlp                                # Power management
    ];
  };

  programs = {
    alacritty.settings.font.size = 11;
  };

  services = {                            # Applets
   blueman-applet.enable = true;         # Bluetooth
   network-manager-applet.enable = true; # Network
  };

  xsession.preferStatusNotifierItems = true;

}
